
QGIS Application - Bug report #10465

Label show/hide tool does not work at all.

2014-06-04 12:59 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18877

Description

Title says it all.

History

#1 - 2014-06-04 05:58 PM - Larry Shaffer

Hmm. Works fine here on Mac with latest master; using .shp file with UTM coords, with X/Y fields of:

Type      = double

Type name = Real

Length    = 20

Precision = 8

Can you give more details, please?

#2 - 2014-06-05 03:46 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

- Affected QGIS version changed from 2.2.0 to master

just compiled the latest code on Ubuntu and it works.

#3 - 2014-06-05 11:01 AM - Larry Shaffer

Giovanni, we should wait for the original reporter to respond before just closing a ticket. At least give them a day or so. There may still be a bug here, but

not present in our setups.

#4 - 2014-06-05 11:02 AM - Larry Shaffer

- Status changed from Closed to Feedback

#5 - 2014-06-05 12:31 PM - Regis Haubourg

Thx Larry, 

I tested today and still had the issue, but got messed into several other bug (I'm deploying QGIS 2.2 and postgres 9.3 in the same time.. bad timing fo a
good test of 2.3)

Will check tomorrow why the issue remains. 

Régis

#6 - 2014-06-05 02:53 PM - Giovanni Manghi

Regis Haubourg wrote:

Thx Larry, 

I tested today and still had the issue, but got messed into several other bug (I'm deploying QGIS 2.2 and postgres 9.3 in the same time.. bad timing

fo a good test of 2.3)

Will check tomorrow why the issue remains. 

Régis

Hi Regis, are you using postgis for the tests? if yes what datatype are you using for the column for the data defined label visibility?

#7 - 2014-06-06 12:40 AM - Regis Haubourg

Hi 

I confirm the issue. I have a memory layer here with a integer field for label show storage. When using labeling toolbar, no value is written in attribute table.

When modifying attribute table by hand, the label is shown/Unshown correctly.

I you want to reproduce, just load easycustomlabeling plugin, duplicate a layer and play with it.

Cheers

Régis

#8 - 2014-06-09 11:47 AM - Giovanni Manghi

Regis Haubourg wrote:

Hi 

I confirm the issue. I have a memory layer here with a integer field for label show storage. When using labeling toolbar, no value is written in attribute

table. When modifying attribute table by hand, the label is shown/Unshown correctly.

I you want to reproduce, just load easycustomlabeling plugin, duplicate a layer and play with it.

Cheers

Régis

Hi Regis, I just tested this steps (with the easycustomlabeling plugin) and here it works fine.

#9 - 2014-06-14 06:04 AM - Jürgen Fischer

- Priority changed from Severe/Regression to High

#10 - 2014-06-14 06:10 AM - Giovanni Manghi
a recent test shows that this features works so maybe this can be closed, anyway Regis has yet to leave feedback.

#11 - 2014-06-23 06:24 AM - Regis Haubourg

- Status changed from Feedback to Closed

Issue solved. Thanks guys!

2024-04-26 3/3


